Property | Type | Description | |
---|---|---|---|
CreApp | Autodesk.Revit.Creation.Application | ||
m_revit | Autodesk.Revit.UI.UIApplication |
Method | Description | |
---|---|---|
ChangeAllSelected ( bool value ) : void |
Change the Selected property for all regular slabs.
|
|
CheckHaveSelected ( ) : bool |
Check whether a regular slab is selected.
|
|
CreateFoundationSlabs ( ) : bool |
Create foundation slabs.
|
|
SlabData ( UIApplication revit ) : System |
Constructor.
|
Method | Description | |
---|---|---|
FindElements ( ) : void |
Find out all useful elements.
|
|
GetAllBaseSlabs ( ) : bool |
Get all base slabs.
|
|
GetFloorProfile ( Floor floor ) : CurveArray |
Get a floor's profile.
|
|
IsPlanarFloor ( BoundingBoxXYZ bbXYZ, Floor floor ) : bool |
Check whether the floor is planar.
|
public ChangeAllSelected ( bool value ) : void | ||
value | bool | The value for Selected property |
return | void |
public SlabData ( UIApplication revit ) : System | ||
revit | UIApplication | An application object that contains data related to revit command. |
return | System |
public static Autodesk.Revit.Creation.Application CreApp | ||
return | Autodesk.Revit.Creation.Application |